package jp.hasc.hasctool.core.blockdiagram.model;

import java.io.Serializable;

import com.thoughtworks.xstream.annotations.XStreamAsAttribute;

/**
 * 2D座標(int)
 * @author iwasaki
 */
public class Point implements Serializable{
	private static final long serialVersionUID = 1L;

	@XStreamAsAttribute
	private int x;
	
	@XStreamAsAttribute
	private int y;
	
	public Point(int x, int y) {
		super();
		this.x = x;
		this.y = y;
	}
	public int getX() {
		return x;
	}
	public int getY() {
		return y;
	}
}
